Send review requests to users for a change request
Sends review request notifications to one or more users, asking them to review the change request. Optionally updates the change request subject and description at the same time. Use this to move the change request into the review workflow after finishing edits. The users array must contain at least one valid user ID.
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
spaceIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$changeRequestIdstringRequiredPattern:
A unique entity identifier
^[a-zA-Z0-9_-]+$Body
usersstring[]Required
An array of user ids that will be requested.
subjectstringOptional
Optionally, update the subject of the change request when requesting reviewers.
Responses
200
The requests have successfully been sent.
application/json
post/spaces/{spaceId}/change-requests/{changeRequestId}/requested-reviewers
POST /v1/spaces/{spaceId}/change-requests/{changeRequestId}/requested-reviewers HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 228
{
"users": [
"text"
],
"subject": "text",
"description": {
"object": "document",
"data": {},
"nodes": [
{
"object": "block",
"type": "paragraph",
"data": {},
"nodes": [
{
"object": "text",
"leaves": [
{
"object": "leaf",
"text": "Hello world",
"marks": []
}
]
}
]
}
]
}
}200
The requests have successfully been sent.
{
"users": [
{
"object": "change-request-requested-reviewer",
"revision": "text",
"requestedBy": {
"object": "user",
"id": "text",
"displayName": "text",
"email": "text",
"photoURL": "text",
"urls": {
"location": "https://example.com"
}
},
"createdAt": "2026-01-01T00:00:00.000Z",
"kind": "user",
"user": {
"object": "user",
"id": "text",
"displayName": "text",
"email": "text",
"photoURL": "text",
"urls": {
"location": "https://example.com"
}
}
}
]
}Last updated
Was this helpful?